# Record Class CLNParseRequest

java.lang.Object
java.lang.Record
com.io7m.calino.parser.api.CLNParseRequest

Record Components:
  `decompressors` - The decompressor factory
  `channel` - The file channel
  `source` - The data source
  `descriptorLengthLimit` - The maximum descriptor length
  `keyValueDatumLimit` - The maximum value of a metadata key or value
  `strictness` - The parser strictness

public record CLNParseRequest(CLNDecompressorFactoryType decompressors, SeekableByteChannel channel, URI source, long descriptorLengthLimit, long keyValueDatumLimit, CLNParseRequest.CLNParseStrictness strictness) extends Record
A parse request.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CLNParseRequest.CLNParseStrictness`
  The strictness of parsing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNParseRequest(CLNDecompressorFactoryType decompressors, SeekableByteChannel channel, URI source, long descriptorLengthLimit, long keyValueDatumLimit, CLNParseRequest.CLNParseStrictness strictness)`
  A parse request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNParseRequestBuilderType`
  `builder(CLNDecompressorFactoryType inDecompressors, SeekableByteChannel inChannel, URI inSource)`
  Create a new mutable request builder.
  `SeekableByteChannel`
  `channel()`
  Returns the value of the `channel` record component.
  `CLNDecompressorFactoryType`
  `decompressors()`
  Returns the value of the `decompressors` record component.
  `long`
  `descriptorLengthLimit()`
  Returns the value of the `descriptorLengthLimit` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `keyValueDatumLimit()`
  Returns the value of the `keyValueDatumLimit` record component.
  `URI`
  `source()`
  Returns the value of the `source` record component.
  `CLNParseRequest.CLNParseStrictness`
  `strictness()`
  Returns the value of the `strictness` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNParseRequest

    public CLNParseRequest(CLNDecompressorFactoryType decompressors, SeekableByteChannel channel, URI source, long descriptorLengthLimit, long keyValueDatumLimit, CLNParseRequest.CLNParseStrictness strictness)
    A parse request.
    Parameters:
      `decompressors` - The decompressor factory
      `channel` - The file channel
      `source` - The data source
      `descriptorLengthLimit` - The maximum descriptor length
      `keyValueDatumLimit` - The maximum value of a metadata key or value
      `strictness` - The parser strictness

- ## Method Details

  - ### builder

    public static CLNParseRequestBuilderType builder(CLNDecompressorFactoryType inDecompressors, SeekableByteChannel inChannel, URI inSource)
    Create a new mutable request builder.
    Parameters:
      `inDecompressors` - The decompressor factory
      `inChannel` - The file channel
      `inSource` - The data source
    Returns:
      A request builder

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### decompressors

    public CLNDecompressorFactoryType decompressors()
    Returns the value of the `decompressors` record component.
    Returns:
      the value of the `decompressors` record component

  - ### channel

    public SeekableByteChannel channel()
    Returns the value of the `channel` record component.
    Returns:
      the value of the `channel` record component

  - ### source

    public URI source()
    Returns the value of the `source` record component.
    Returns:
      the value of the `source` record component

  - ### descriptorLengthLimit

    public long descriptorLengthLimit()
    Returns the value of the `descriptorLengthLimit` record component.
    Returns:
      the value of the `descriptorLengthLimit` record component

  - ### keyValueDatumLimit

    public long keyValueDatumLimit()
    Returns the value of the `keyValueDatumLimit` record component.
    Returns:
      the value of the `keyValueDatumLimit` record component

  - ### strictness

    public CLNParseRequest.CLNParseStrictness strictness()
    Returns the value of the `strictness` record component.
    Returns:
      the value of the `strictness` record component